

# BatchGetPentestJobTasks
<a name="API_BatchGetPentestJobTasks"></a>

Retrieves information about one or more tasks within a pentest job.

## Request Syntax
<a name="API_BatchGetPentestJobTasks_RequestSyntax"></a>

```
POST /BatchGetPentestJobTasks HTTP/1.1
Content-type: application/json

{
   "agentSpaceId": "string",
   "taskIds": [ "string" ]
}
```

## URI Request Parameters
<a name="API_BatchGetPentestJobTasks_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_BatchGetPentestJobTasks_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [agentSpaceId](#API_BatchGetPentestJobTasks_RequestSyntax) **   <a name="securityagent-BatchGetPentestJobTasks-request-agentSpaceId"></a>
The unique identifier of the agent space that contains the tasks.  
Type: String  
Required: Yes

 ** [taskIds](#API_BatchGetPentestJobTasks_RequestSyntax) **   <a name="securityagent-BatchGetPentestJobTasks-request-taskIds"></a>
The list of task identifiers to retrieve.  
Type: Array of strings  
Required: Yes

## Response Syntax
<a name="API_BatchGetPentestJobTasks_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "notFound": [ "string" ],
   "tasks": [ 
      { 
         "agentSpaceId": "string",
         "categories": [ 
            { 
               "isPrimary": boolean,
               "name": "string"
            }
         ],
         "createdAt": "string",
         "description": "string",
         "executionStatus": "string",
         "logsLocation": { 
            "cloudWatchLog": { 
               "logGroup": "string",
               "logStream": "string"
            },
            "logType": "string"
         },
         "pentestId": "string",
         "pentestJobId": "string",
         "riskType": "string",
         "targetEndpoint": { 
            "uri": "string"
         },
         "taskId": "string",
         "title": "string",
         "updatedAt": "string"
      }
   ]
}
```

## Response Elements
<a name="API_BatchGetPentestJobTasks_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [notFound](#API_BatchGetPentestJobTasks_ResponseSyntax) **   <a name="securityagent-BatchGetPentestJobTasks-response-notFound"></a>
The list of task identifiers that were not found.  
Type: Array of strings

 ** [tasks](#API_BatchGetPentestJobTasks_ResponseSyntax) **   <a name="securityagent-BatchGetPentestJobTasks-response-tasks"></a>
The list of tasks that were found.  
Type: Array of [Task](API_Task.md) objects

## Errors
<a name="API_BatchGetPentestJobTasks_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

## See Also
<a name="API_BatchGetPentestJobTasks_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/securityagent-2025-09-06/BatchGetPentestJobTasks) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/securityagent-2025-09-06/BatchGetPentestJobTasks) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/securityagent-2025-09-06/BatchGetPentestJobTasks) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/securityagent-2025-09-06/BatchGetPentestJobTasks) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/securityagent-2025-09-06/BatchGetPentestJobTasks) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/securityagent-2025-09-06/BatchGetPentestJobTasks) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/securityagent-2025-09-06/BatchGetPentestJobTasks) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/securityagent-2025-09-06/BatchGetPentestJobTasks) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/securityagent-2025-09-06/BatchGetPentestJobTasks) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/securityagent-2025-09-06/BatchGetPentestJobTasks) 